%global momorel 3
%{?!with_octave:         %global with_octave         0}

Summary:	C library for reading and writing files containing sampled sound
Name:		libsndfile
Version:	1.0.9
Release:	%{momorel}m
License:	GPL
Group:		Development/Libraries
%NoSource 0 http://www.mega-nerd.com/libsndfile/%{name}-%{version}.tar.gz d72ba14354d2d727c81afc16897749a5
URL:		http://www.mega-nerd.com/libsndfile/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Libsndfile is a C library for reading and writing files containing
sampled sound (such as MS Windows WAV and the Apple/SGI AIFF format)
through one standard library interface.

%package devel
Summary:	libsndfile header files and development documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libsndfile.

%if %{with_octave}
%package octave
Summary:	libsndfile modules for octave
Group:		Applications/Engineering
Requires:	%{name} = %{version}
Requires:	octave

%description octave
A couple of script files for loading, saving, and playing sound
files from within Octave.
%endif

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%if ! %{with_octave}
rm -rf %{buildroot}%{_datadir}/octave/site/m/*
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS TODO
%attr(755,root,root) %{_libdir}/lib*.so.*
%attr(744,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc doc/*.html doc/*.jpg
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
/usr/lib/pkgconfig/*.pc
%{_libdir}/lib*.a

%if %{with_octave}
%files octave
%defattr(644,root,root,755)
%{_datadir}/octave/site/m/*
%endif

%changelog
* Fri Jun 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.9-3m)
- main package should include not 'lib*.so.*.*' but 'lib*.so.*'

* Thu May 20 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.9-2m)
- without octave.

* Tue May 18 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.9-1m)
- verup

* Sun Dec 14 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.5-1m)
- first import to Momonga

* Fri Jun 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.5-0.0.1m)
- verision 1.0.5

* Tue Feb 4 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.0.4-0.0.1m)
- adopted src.rpm of PLD Linux at rpmfind.net to version 1.0.4

- %{date} PLD Team <feedback@pld.org.pl>
- All persons listed below can be reached at <cvs_login>@pld.org.pl

Revision 1.26  2002/10/06 08:54:16  kloczek
- release 2: libsndfile1{,-devel} added to Obsletes for allow upgrade from MDK.

Revision 1.25  2002/09/14 20:18:25  qboosh
- amfix patch (fix for automake 1.6)
- added missing pkgconfig file
- moved devel docs to -devel

Revision 1.24  2002/09/14 09:35:17  zagrodzki
- upgraded to 1.0.1
- STBR

Revision 1.23  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.22  2002/05/21 23:13:59  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/11 17:58:45  kloczek
- updated to 0.0.28.

Revision 1.20  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.19  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:42  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/21 11:34:13  kloczek
- updated to 0.0.27.

Revision 1.16  2001/10/06 21:03:28  kloczek
- updated to 0.0.26.

Revision 1.15  2001/09/24 09:11:35  kloczek
- updated to 0.0.25.

Revision 1.14  2001/08/27 18:39:38  kloczek
- updated to 0.0.24.

Revision 1.13  2001/07/19 21:56:09  kloczek
- updated to 0.0.23.

Revision 1.12  2001/06/27 07:56:25  kloczek
- regenerate libtool files.

Revision 1.11  2001/06/24 22:42:47  kloczek
p release 3: "rm -f missing" before run automake.

Revision 1.10  2001/01/22 09:38:24  kloczek
- release 2,
- regenerate automake, autoconf files (added automake to BuildRequires),
- removed "install -d .." line from top %install.

Revision 1.9  2000/10/19 01:45:03  kloczek
- autoconf patch is back.

Revision 1.8  2000/10/18 21:50:14  kloczek
- updated to 0.0.22,
- emoved outdated autoconf patch,
- use new rpm automation.

Revision 1.7  2000/08/21 00:30:51  kloczek
- updated to 0.0.21.

Revision 1.6  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/06/05 16:23:26  kloczek
- updated to 0.0.20.

Revision 1.3  2000/05/30 01:33:28  kloczek
- updated to 0.0.19,
- spec adapterized.

Revision 1.2  2000/05/14 21:36:36  kloczek
- added autoconf patch with corrections which allow correctly pass
  $RPM_OPT_FLAGS to compile options,
- cosmetics.

Revision 1.1  2000/05/12 11:33:28  misiek
- biblioteka obsugi plikw dwikowych
- niezy klient ftp (z ipv6) zastpujcy pakiet ftp-*
